{% extends 'base.html.twig' %}

{% block title %} Subscriptions Managment{% endblock %}
{% block myTitle %} 
    Subscriptions Administration
{% endblock %}
{% block body %}
    {% for message in app.flashes('success') %}
        <div class="alert alert-success">
            {{ message }}
        </div>
    {% endfor %}

    <a href="{{ path('app_admin_subscription_creation') }}" class="btn btn-success"> Add Subscription</a>

                <table class="table text-center">
                    <tr class="table-primary">
                        <td> Name </td>                               
                        <td> Paiement Frequency (days) </td>                               
                        <td> Engagement Delay (months) </td>                               
                        <td> Price (euros)</td>                                                         
                        <td> Actions </td>                               
                    </tr>
                    {% for subscription in subscriptions %}
                        <tr>
                            <td> <strong>{{ subscription.name }}</strong></td>
                            <td> {{ subscription.paiementFrequency }}</td>
                            <td> {{ subscription.engagementDelay }}</td>
                            <td> {{ subscription.price }}</td>
                            <td>
                                <a href="{{ path('app_admin_subscription_update', {'id' : subscription.id }) }}" class="btn btn-secondary"> Update </a>
                                {# <form method="POST"  style="display:inline-block" action="{{ path('app_admin_aliment_delete', {'id' : aliment.id }) }}">
                                    <input type="hidden" name="_method" value="delete">
                                    <input type="hidden" name="_token" value="{{csrf_token('SUP'~ aliment.id )}}">
                                    <input type="submit" class="btn btn-danger" value="Supprimer" onsubmit="return confirm('Confirmer la suppression ?') ">
                                </form> #}
                                {# <a href="{{ path('app_admin_aliment_delete', {'property' : 5 }) }}" class="btn btn-danger"> Supprimer </a> #}
                            </td>
                        </tr> 
                    {% endfor %}
                </table>
{% endblock %}
